:root {
	/* Définition des couleurs pour les boutons */
	--highlight-light: #c0c0c0;
	--highlight-light2: #a0a0a0;
	/* Définition des couleurs pour les liens */
	--anchor-color: #117f7f;
	--anchor-color2: #025a5a;
	/* Définition des couleurs de l'en-tête */
	--header-bg: #262626;
	--header-fg: #FFFFFF;
	/* Définition des couleurs pour le pied de page */
	--footer-bg: #E0DCD8;
	--footer-line: #FF8C00;
	/* Définition des couleurs principales */
	--main-bg: #FFFFFF;
	--main-border: #B9BCBE;
	--main-fg: #262626;
	/* Définition de la taille des cartes */
	--card-width: 250px;
	--card-height: 250px;
}

/* Régles générales */

* {
	box-sizing: border-box;
}

html,body {
	height: 100%;
	margin: 0;
	font-size: 16px;
}

body {
	background-color: var(--main-bg);
	font-family: sans-serif;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	font-family: "Lucida Sans", "Lucida Grande", "Lucida Sans Unicode", "Luxi Sans", sans-serif;
}

/* Conteneur principal */

section {
	display: flex;
	flex-direction: column;
	align-items: center;
}

/* En-tête de page */

header {
	background-color: var(--header-bg);
	color: var(--header-fg);
	padding: 0.5rem 1.5rem;
	margin-bottom: 30px;
}

header h1 {
	display: inline;
	vertical-align: middle;
}

.header-content {
	display: flex;
	align-items: center;
	justify-content: space-between;
	max-width: 70rem;
	margin: auto;
}

.home-button{
	display: inline-block;
	vertical-align: middle;
	height:4rem;
}

/* Pied de page */

footer {
	background-color: var(--footer-bg);
	color: var(--main-fg);
	font-size: 0.8rem;
	padding: 25px;
	margin-top: 30px;
	border-top: solid var(--footer-line) 8px;
}

.footer-categories {
	display: flex;
	justify-content: space-evenly;
	flex-flow: wrap;
	margin: 0 auto;
}

footer a {
	color: var(--anchor-color2);
	transition: 0.3s;
}

.footer-element {
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	max-width: 400px;
	vertical-align: top;
}

.footer-licence {
	position: absolute;
	right: 5px;
}

footer a:focus,
footer a:hover {
	color: var(--anchor-color);
}

/* Barre de nom */

#pad-name
{
	display: block;
	width: 70%;
	margin: auto;
	text-align: center;
	border: none;
	border-radius: 5px;
	height: 50px;
	border: solid var(--main-border) 1px;
	box-shadow: 2px 2px 2px 2px rgba(0,0,0,0.2);
}

/* Règles pour le conteneur des cartes */

.cards{
	display: flex;
	align-items: center;
	justify-content: space-evenly;
	flex-wrap: wrap;
	width: 100%;
	max-width: 80rem;
	margin: 0 1.5rem;
}

/* Règles générales d'une carte */

.card {
  width: var(--card-width);
}

.card-main {
	width: 100%;
	height: var(--card-height);
	border-radius: 2%;
	margin: 1.5rem 0;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	position: relative;
	cursor: pointer;
	border: solid var(--main-border) 1px;
}

.card-main::before {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: -1;
	transition: 0.25s ease-in-out transform;
}

.card-main:active {
	top: 0.2rem;
	filter: none;
}

.card > a:focus .card-main::before,
.card-main:hover::before {
	transform: scale(1.3);
}

.card-main a {
	display: flex;
}

.card-help {
	text-align: center;
}

.card-help a {
	color: var(--anchor-color2);
	transition: ease-in-out 0.3s;
}

.card-help a:focus,
.card-help a:hover {
	color: var(--anchor-color);
}

.pad-button {
	height: 6rem;
	width: 6rem;
	border-radius: 50%;
	background-color: var(--highlight-light);
	display: flex;
	filter: drop-shadow(0 0.3rem var(--highlight-light2));
	position: relative;
}

.pad-icon {
	max-height: 4rem;
	max-width: 4rem;
	margin: auto;
}

.card-info
{
	background-color: rgba(0, 0, 0, 0.6);
	color: white;
	position: absolute;
	height: 100%;
	width: 100%;
	opacity: 0;
	transition: 0.3s;
	z-index: 100;
}

.card-info * {
	margin-top: 10px;
	margin-bottom: 10px;
}

.card-info h2
{
	text-align: center;
}

.card-info p {
	text-align: center;
	padding: 20px;
}

.card > a:focus .card-info,
.card-main:hover .card-info{
	opacity: initial;
}

.card-info-warning {
	position: absolute;
	font-size: 12px;
	bottom: 0;
	margin: 0;
	background-color: rgba(155, 0, 0, 0.3);
}

/* Règles spécifiques aux cartes de service (fonds) */

#epd-week .card-main::before{
	background-image: url(../images/etherpad-week.png);
}

#epd .card-main::before{
	background-image: url(../images/etherpad.png);
}

#cmd .card-main::before{
	background-image: url(../images/codimd.png);
}

#wbd .card-main::before{
	background-image: url(../images/whiteboard.png);
	background-position: center;
}
